Name: qt1x
Summary: A backward compatible library for apps linked to Qt 1.x.
Version: 1.45
Release: 11
Source: ftp://ftp.troll.no/qt/source/qt-%{version}.tar.gz
Patch0: qt-1.44-enablegif.patch
Patch1: qt-1.45-sharedgl.patch
Patch2: qt-1.45-isoc99.patch
Patch3: qt-1.45-egcs.patch
URL: http://www.troll.no/qt
Copyright: distributable
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-buildroot
BuildPrereq: compat-egcs-c++
ExcludeArch: ia64
Prereq: /sbin/ldconfig

%description
Qt, a GUI software toolkit provided in the qt package, simplifies the
tasks of writing and maintaining GUI applications for the X Window
System.  The gt1x package contains a library which provides backward
compatibility for applications linked against Qt version 1.x.

%package devel
Summary: Qt 1.x development files for legacy applications.
Requires: compat-libstdc++
Group: Development/Libraries

%description devel
The qt1x-devel package contains files needed for compiling
applications using the Qt GUI toolkit version 1.x. This library is
provided for backward compatibility with legacy applications only.
New applications should be compiled against Qt version 2 or later,
provided in the qt package.

%package GL
Summary: An OpenGL (3-D graphics) add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: XFree86 >= 4.0
BuildPrereq: XFree86-devel >= 4.0

%description GL
Qt-GL is an add-on for the Qt GUI toolkit. Qt-GL supports 3-D graphics
using the glxMesa (OpenGL compatible) library.

%prep
%setup -q -n qt-%{version}
%patch -p1 -b .enablegif
%patch1 -p1 -b .sharedgl
%patch2 -p1 -b .xor
%patch3 -p1 -b .egcs

rm src/kernel/qt_gif.h.enablegif
# handle RPM_OPT_FLAGS:
perl -pi -e "s/^SYSCONF_CXXFLAGS	.*/SYSCONF_CXXFLAGS = $RPM_OPT_FLAGS/g" configs/linux-g++-shared
perl -pi -e "s/^SYSCONF_CXXFLAGS_LIB	.*/SYSCONF_CXXFLAGS_LIB = $RPM_OPT_FLAGS -fPIC/g" configs/linux-g++-shared
perl -pi -e "s/^SYSCONF_CXXFLAGS_SHOBJ	.*/SYSCONF_CXXFLAGS_SHOBJ = $RPM_OPT_FLAGS -fPIC/g" configs/linux-g++-shared

%build
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
make -C src/moc
cp src/moc/moc bin/moc
make -C src
cd extensions/imageio/src
make
cd ../../opengl/src
perl -pi -e "s/MesaGL/GL/g" Makefile
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt-%{version}/{bin,include,lib}

cp lib/libqt.so.1.44 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib
ln -sf libqt.so.1.44 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so*

cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqimgio.so.0
ln -sf libqimgio.so.0 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqimgio.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqimgio.so*

cp lib/libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib
ln -sf libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqgl.so.1
ln -sf libqgl.so.1 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqgl.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqgl.so*

cp include/* $RPM_BUILD_ROOT/usr/lib/qt-%{version}/include
strip bin/moc
cp bin/* $RPM_BUILD_ROOT/usr/lib/qt-%{version}/bin

make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/qt-%{version}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/qt-%{version}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
  grep -v '^/usr/lib/qt-%{version}/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post GL
/sbin/ldconfig

%postun GL
/sbin/ldconfig


%files
%defattr(-,root,root,-)
/usr/lib/qt-%{version}/lib/libqt.so.1.44
/usr/lib/qt-%{version}/lib/libqt.so.1
/usr/lib/qt-%{version}/lib/libqimgio.so.0
/usr/lib/qt-%{version}/lib/libqimgio.so.0.1
%doc ANNOUNCE FAQ LICENSE PORTING README README.QT

%files devel
%defattr(-,root,root,-)
/usr/lib/qt-%{version}/bin
/usr/lib/qt-%{version}/include
/usr/lib/qt-%{version}/lib/libqt.so
/usr/lib/qt-%{version}/lib/libqimgio.so
%doc html/*

%files GL
%defattr(-,root,root,-)
/usr/lib/qt-%{version}/lib/libqgl.*

%changelog
* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the qregion.h header (#if defined(xor) is evil - ISO C99 says
  xor == ^)

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post GL and %postun GL (Bug #14919)

* Wed Jul 19 2000 than Ngo <than@redhat.de>
- rebuilt against the compat-libstdc++-6.2

* Fri Jul 14 2000 Than Ngo <than@redhat.de>
- rebuilt i386, alpha and sparc

* Thu Jul 13 2000 Than ngo <than@redhat.de>
- rebuilt with egcs-c++ 1.1.2
- ExcludeArch: ia64 alpha sparc
  It will be rebuilt later for alpha and sparc.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 31 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- strip moc

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix GL dependencies

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to Qt 1.45
- handle RPM_OPT_FLAGS
- build GL add-on (to separate package)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added imageio extension

* Wed Aug 08 1999 Preston Brown <pbrown@redhat.com>
- added documentation to devel package

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- moved things around a bit so that 1.4 isn't default, but it is still
- possible to build things with it when QTDIR is set properly.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- stripped original qt-1.x spec file to bare minimum for compat. library

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnt's RPM and made some minor changes for Red Hat.
